Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.recordio
Interface RecordPipelineAppender

All Known Subinterfaces:
  Choose, RecordFilterAppender, RecordFilterValidatorAppender, RecordReaderFactory, RecordStreamBuilder, RecordWriterFactory

All Known Implementing Classes:
  AbstractRecordFilterAppender, AbstractRecordReaderFactory, AbstractRecordWriterFactory, ChooseImpl, ChoosePrefilter, CurrentRecordReaderFactory, DefaultFlatFileReaderFactory, DefaultFlatFileWriterFactory, DirectoryReaderFactory, DiscardFilterAppender, FlatFileReaderFactory, FlatFileWriterFactory, ParameterReaderFactory, RecordContent, RecordFilterAppenderPrefilter, RecordFilterValidatorAppenderPrefilter, RecordPipelineAppenderPrefilter, RecordReaderFactoryPrefilter, RecordSorterAppender, RecordStreamBuilderImpl, RecordStreamBuilderPrefilter, RecordTeeAppender, RecordWriterFactoryPrefilter, SqlBatchWriterFactory, SqlReaderFactory, SqlWriterFactory, SubtreeRecordReaderFactory

    public interface RecordPipelineAppender

Field Summary
`static RecordPipelineAppender[]` | `EMPTY_ARRAY`

Method Summary
`void` | `appendToRecordPipeline(ServiceContext context, Flow flow, RecordFilterChain pipeline)`
`RecordPipeline` | `createRecordPipeline(ServiceContext context, Flow flow)`

Field Detail

### EMPTY_ARRAY

    static final RecordPipelineAppender[] EMPTY_ARRAY

Method Detail

### createRecordPipeline

    RecordPipeline createRecordPipeline(ServiceContext context,
                                        Flow flow)

### appendToRecordPipeline

    void appendToRecordPipeline(ServiceContext context,
                                Flow flow,
                                RecordFilterChain pipeline)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD